package com.cit.sellfan.ui.template;

import com.vaadin.navigator.ViewChangeListener;
import com.vaadin.shared.ui.MarginInfo;
import com.xdev.ui.XdevGridLayout;
import com.xdev.ui.XdevPanel;
import com.xdev.ui.XdevView;

public class TemplateView extends XdevView {

	/**
	 * 
	 */
	public TemplateView() {
		super();
		this.initUI();
	}

	@Override
	public void enter(ViewChangeListener.ViewChangeEvent event) {
		super.enter(event);
	
	}

	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.gridLayout = new XdevGridLayout();
		this.panel = new XdevPanel();
		this.panel2 = new XdevPanel();
		this.panel3 = new XdevPanel();
		this.panel4 = new XdevPanel();
		this.panel5 = new XdevPanel();
		this.panel6 = new XdevPanel();
		this.panel7 = new XdevPanel();
		this.panel8 = new XdevPanel();
		this.panel9 = new XdevPanel();
		this.panel10 = new XdevPanel();
		this.panel11 = new XdevPanel();
		this.panel12 = new XdevPanel();
		this.panel20 = new XdevPanel();
		this.panel21 = new XdevPanel();
		this.panel22 = new XdevPanel();
		this.panel23 = new XdevPanel();
		this.panel24 = new XdevPanel();
		this.panel13 = new XdevPanel();
		this.panel14 = new XdevPanel();
		this.panel15 = new XdevPanel();
		this.panel16 = new XdevPanel();
		this.panel17 = new XdevPanel();
		this.panel18 = new XdevPanel();
		this.panel19 = new XdevPanel();
		this.panel25 = new XdevPanel();
		this.panel26 = new XdevPanel();
		this.panel27 = new XdevPanel();
		this.panel28 = new XdevPanel();
		this.panel29 = new XdevPanel();
		this.panel30 = new XdevPanel();
		this.panel31 = new XdevPanel();
		this.panel32 = new XdevPanel();
		this.panel33 = new XdevPanel();
		this.panel34 = new XdevPanel();
		this.panel35 = new XdevPanel();
		this.panel36 = new XdevPanel();
		this.panel37 = new XdevPanel();
		this.panel38 = new XdevPanel();
		this.panel39 = new XdevPanel();
		this.panel40 = new XdevPanel();
		this.panel41 = new XdevPanel();
		this.panel42 = new XdevPanel();
		this.panel43 = new XdevPanel();
		this.panel44 = new XdevPanel();
		this.panel45 = new XdevPanel();
		this.panel46 = new XdevPanel();
		this.panel47 = new XdevPanel();
		this.panel48 = new XdevPanel();
		this.panel49 = new XdevPanel();
		this.panel50 = new XdevPanel();
		this.panel51 = new XdevPanel();
		this.panel52 = new XdevPanel();
		this.panel53 = new XdevPanel();
		this.panel54 = new XdevPanel();
		this.panel55 = new XdevPanel();
		this.panel56 = new XdevPanel();
		this.panel57 = new XdevPanel();
		this.panel58 = new XdevPanel();
		this.panel59 = new XdevPanel();
		this.panel60 = new XdevPanel();
		this.panel61 = new XdevPanel();
		this.panel62 = new XdevPanel();
		this.panel63 = new XdevPanel();
		this.panel64 = new XdevPanel();
		this.panel65 = new XdevPanel();
		this.panel66 = new XdevPanel();
		this.panel67 = new XdevPanel();
		this.panel68 = new XdevPanel();
		this.panel69 = new XdevPanel();
		this.panel70 = new XdevPanel();
		this.panel71 = new XdevPanel();
		this.panel72 = new XdevPanel();
	
		this.gridLayout.setHideEmptyRowsAndColumns(true);
		this.gridLayout.setPrimaryStyleName("v-gridlayout-spacing-off");
		this.gridLayout.setMargin(new MarginInfo(false));
		this.panel.setTabIndex(0);
		this.panel2.setTabIndex(0);
		this.panel3.setTabIndex(0);
		this.panel4.setTabIndex(0);
		this.panel5.setTabIndex(0);
		this.panel6.setTabIndex(0);
		this.panel7.setTabIndex(0);
		this.panel8.setTabIndex(0);
		this.panel9.setTabIndex(0);
		this.panel10.setTabIndex(0);
		this.panel11.setTabIndex(0);
		this.panel12.setTabIndex(0);
		this.panel20.setTabIndex(0);
		this.panel21.setTabIndex(0);
		this.panel22.setTabIndex(0);
		this.panel23.setTabIndex(0);
		this.panel24.setTabIndex(0);
		this.panel13.setTabIndex(0);
		this.panel14.setTabIndex(0);
		this.panel15.setTabIndex(0);
		this.panel16.setTabIndex(0);
		this.panel17.setTabIndex(0);
		this.panel18.setTabIndex(0);
		this.panel19.setTabIndex(0);
		this.panel25.setTabIndex(0);
		this.panel26.setTabIndex(0);
		this.panel27.setTabIndex(0);
		this.panel28.setTabIndex(0);
		this.panel29.setTabIndex(0);
		this.panel30.setTabIndex(0);
		this.panel31.setTabIndex(0);
		this.panel32.setTabIndex(0);
		this.panel33.setTabIndex(0);
		this.panel34.setTabIndex(0);
		this.panel35.setTabIndex(0);
		this.panel36.setTabIndex(0);
		this.panel37.setTabIndex(0);
		this.panel38.setTabIndex(0);
		this.panel39.setTabIndex(0);
		this.panel40.setTabIndex(0);
		this.panel41.setTabIndex(0);
		this.panel42.setTabIndex(0);
		this.panel43.setTabIndex(0);
		this.panel44.setTabIndex(0);
		this.panel45.setTabIndex(0);
		this.panel46.setTabIndex(0);
		this.panel47.setTabIndex(0);
		this.panel48.setTabIndex(0);
		this.panel49.setTabIndex(0);
		this.panel50.setTabIndex(0);
		this.panel51.setTabIndex(0);
		this.panel52.setTabIndex(0);
		this.panel53.setTabIndex(0);
		this.panel54.setTabIndex(0);
		this.panel55.setTabIndex(0);
		this.panel56.setTabIndex(0);
		this.panel57.setTabIndex(0);
		this.panel58.setTabIndex(0);
		this.panel59.setTabIndex(0);
		this.panel60.setTabIndex(0);
		this.panel61.setTabIndex(0);
		this.panel62.setTabIndex(0);
		this.panel63.setTabIndex(0);
		this.panel64.setTabIndex(0);
		this.panel65.setTabIndex(0);
		this.panel66.setTabIndex(0);
		this.panel67.setTabIndex(0);
		this.panel68.setTabIndex(0);
		this.panel69.setTabIndex(0);
		this.panel70.setTabIndex(0);
		this.panel71.setTabIndex(0);
		this.panel72.setTabIndex(0);
	
		this.gridLayout.setColumns(12);
		this.gridLayout.setRows(6);
		this.panel.setSizeFull();
		this.gridLayout.addComponent(this.panel, 0, 0);
		this.panel2.setSizeFull();
		this.gridLayout.addComponent(this.panel2, 1, 0);
		this.panel3.setSizeFull();
		this.gridLayout.addComponent(this.panel3, 2, 0);
		this.panel4.setSizeFull();
		this.gridLayout.addComponent(this.panel4, 3, 0);
		this.panel5.setSizeFull();
		this.gridLayout.addComponent(this.panel5, 4, 0);
		this.panel6.setSizeFull();
		this.gridLayout.addComponent(this.panel6, 5, 0);
		this.panel7.setSizeFull();
		this.gridLayout.addComponent(this.panel7, 6, 0);
		this.panel8.setSizeFull();
		this.gridLayout.addComponent(this.panel8, 7, 0);
		this.panel9.setSizeFull();
		this.gridLayout.addComponent(this.panel9, 8, 0);
		this.panel10.setSizeFull();
		this.gridLayout.addComponent(this.panel10, 9, 0);
		this.panel11.setSizeFull();
		this.gridLayout.addComponent(this.panel11, 10, 0);
		this.panel12.setSizeFull();
		this.gridLayout.addComponent(this.panel12, 11, 0);
		this.panel20.setSizeFull();
		this.gridLayout.addComponent(this.panel20, 0, 1);
		this.panel21.setSizeFull();
		this.gridLayout.addComponent(this.panel21, 1, 1);
		this.panel22.setSizeFull();
		this.gridLayout.addComponent(this.panel22, 2, 1);
		this.panel23.setSizeFull();
		this.gridLayout.addComponent(this.panel23, 3, 1);
		this.panel24.setSizeFull();
		this.gridLayout.addComponent(this.panel24, 4, 1);
		this.panel13.setSizeFull();
		this.gridLayout.addComponent(this.panel13, 5, 1);
		this.panel14.setSizeFull();
		this.gridLayout.addComponent(this.panel14, 6, 1);
		this.panel15.setSizeFull();
		this.gridLayout.addComponent(this.panel15, 7, 1);
		this.panel16.setSizeFull();
		this.gridLayout.addComponent(this.panel16, 8, 1);
		this.panel17.setSizeFull();
		this.gridLayout.addComponent(this.panel17, 9, 1);
		this.panel18.setSizeFull();
		this.gridLayout.addComponent(this.panel18, 10, 1);
		this.panel19.setSizeFull();
		this.gridLayout.addComponent(this.panel19, 11, 1);
		this.panel25.setSizeFull();
		this.gridLayout.addComponent(this.panel25, 0, 2);
		this.panel26.setSizeFull();
		this.gridLayout.addComponent(this.panel26, 1, 2);
		this.panel27.setSizeFull();
		this.gridLayout.addComponent(this.panel27, 2, 2);
		this.panel28.setSizeFull();
		this.gridLayout.addComponent(this.panel28, 3, 2);
		this.panel29.setSizeFull();
		this.gridLayout.addComponent(this.panel29, 4, 2);
		this.panel30.setSizeFull();
		this.gridLayout.addComponent(this.panel30, 5, 2);
		this.panel31.setSizeFull();
		this.gridLayout.addComponent(this.panel31, 6, 2);
		this.panel32.setSizeFull();
		this.gridLayout.addComponent(this.panel32, 7, 2);
		this.panel33.setSizeFull();
		this.gridLayout.addComponent(this.panel33, 8, 2);
		this.panel34.setSizeFull();
		this.gridLayout.addComponent(this.panel34, 9, 2);
		this.panel35.setSizeFull();
		this.gridLayout.addComponent(this.panel35, 10, 2);
		this.panel36.setSizeFull();
		this.gridLayout.addComponent(this.panel36, 11, 2);
		this.panel37.setSizeFull();
		this.gridLayout.addComponent(this.panel37, 0, 3);
		this.panel38.setSizeFull();
		this.gridLayout.addComponent(this.panel38, 1, 3);
		this.panel39.setSizeFull();
		this.gridLayout.addComponent(this.panel39, 2, 3);
		this.panel40.setSizeFull();
		this.gridLayout.addComponent(this.panel40, 3, 3);
		this.panel41.setSizeFull();
		this.gridLayout.addComponent(this.panel41, 4, 3);
		this.panel42.setSizeFull();
		this.gridLayout.addComponent(this.panel42, 5, 3);
		this.panel43.setSizeFull();
		this.gridLayout.addComponent(this.panel43, 6, 3);
		this.panel44.setSizeFull();
		this.gridLayout.addComponent(this.panel44, 7, 3);
		this.panel45.setSizeFull();
		this.gridLayout.addComponent(this.panel45, 8, 3);
		this.panel46.setSizeFull();
		this.gridLayout.addComponent(this.panel46, 9, 3);
		this.panel47.setSizeFull();
		this.gridLayout.addComponent(this.panel47, 10, 3);
		this.panel48.setSizeFull();
		this.gridLayout.addComponent(this.panel48, 11, 3);
		this.panel49.setSizeFull();
		this.gridLayout.addComponent(this.panel49, 0, 4);
		this.panel50.setSizeFull();
		this.gridLayout.addComponent(this.panel50, 1, 4);
		this.panel51.setSizeFull();
		this.gridLayout.addComponent(this.panel51, 2, 4);
		this.panel52.setSizeFull();
		this.gridLayout.addComponent(this.panel52, 3, 4);
		this.panel53.setSizeFull();
		this.gridLayout.addComponent(this.panel53, 4, 4);
		this.panel54.setSizeFull();
		this.gridLayout.addComponent(this.panel54, 5, 4);
		this.panel55.setSizeFull();
		this.gridLayout.addComponent(this.panel55, 6, 4);
		this.panel56.setSizeFull();
		this.gridLayout.addComponent(this.panel56, 7, 4);
		this.panel57.setSizeFull();
		this.gridLayout.addComponent(this.panel57, 8, 4);
		this.panel58.setSizeFull();
		this.gridLayout.addComponent(this.panel58, 9, 4);
		this.panel59.setSizeFull();
		this.gridLayout.addComponent(this.panel59, 10, 4);
		this.panel60.setSizeFull();
		this.gridLayout.addComponent(this.panel60, 11, 4);
		this.panel61.setSizeFull();
		this.gridLayout.addComponent(this.panel61, 0, 5);
		this.panel62.setSizeFull();
		this.gridLayout.addComponent(this.panel62, 1, 5);
		this.panel63.setSizeFull();
		this.gridLayout.addComponent(this.panel63, 2, 5);
		this.panel64.setSizeFull();
		this.gridLayout.addComponent(this.panel64, 3, 5);
		this.panel65.setSizeFull();
		this.gridLayout.addComponent(this.panel65, 4, 5);
		this.panel66.setSizeFull();
		this.gridLayout.addComponent(this.panel66, 5, 5);
		this.panel67.setSizeFull();
		this.gridLayout.addComponent(this.panel67, 6, 5);
		this.panel68.setSizeFull();
		this.gridLayout.addComponent(this.panel68, 7, 5);
		this.panel69.setSizeFull();
		this.gridLayout.addComponent(this.panel69, 8, 5);
		this.panel70.setSizeFull();
		this.gridLayout.addComponent(this.panel70, 9, 5);
		this.panel71.setSizeFull();
		this.gridLayout.addComponent(this.panel71, 10, 5);
		this.panel72.setSizeFull();
		this.gridLayout.addComponent(this.panel72, 11, 5);
		this.gridLayout.setColumnExpandRatio(0, 10.0F);
		this.gridLayout.setColumnExpandRatio(1, 10.0F);
		this.gridLayout.setColumnExpandRatio(2, 10.0F);
		this.gridLayout.setColumnExpandRatio(3, 10.0F);
		this.gridLayout.setColumnExpandRatio(4, 10.0F);
		this.gridLayout.setColumnExpandRatio(5, 10.0F);
		this.gridLayout.setColumnExpandRatio(6, 10.0F);
		this.gridLayout.setColumnExpandRatio(7, 10.0F);
		this.gridLayout.setColumnExpandRatio(8, 10.0F);
		this.gridLayout.setColumnExpandRatio(9, 10.0F);
		this.gridLayout.setColumnExpandRatio(10, 10.0F);
		this.gridLayout.setColumnExpandRatio(11, 10.0F);
		this.gridLayout.setRowExpandRatio(0, 10.0F);
		this.gridLayout.setRowExpandRatio(1, 10.0F);
		this.gridLayout.setRowExpandRatio(2, 10.0F);
		this.gridLayout.setRowExpandRatio(3, 10.0F);
		this.gridLayout.setRowExpandRatio(4, 10.0F);
		this.gridLayout.setRowExpandRatio(5, 10.0F);
		this.gridLayout.setSizeFull();
		this.setContent(this.gridLayout);
		this.setSizeFull();
	} // </generated-code>

	// <generated-code name="variables">
	private XdevGridLayout gridLayout;
	private XdevPanel panel, panel2, panel3, panel4, panel5, panel6, panel7, panel8, panel9, panel10, panel11,
			panel12, panel20, panel21, panel22, panel23, panel24, panel13, panel14, panel15, panel16, panel17,
			panel18, panel19, panel25, panel26, panel27, panel28, panel29, panel30, panel31, panel32, panel33,
			panel34, panel35, panel36, panel37, panel38, panel39, panel40, panel41, panel42, panel43, panel44,
			panel45, panel46, panel47, panel48, panel49, panel50, panel51, panel52, panel53, panel54, panel55,
			panel56, panel57, panel58, panel59, panel60, panel61, panel62, panel63, panel64, panel65, panel66,
			panel67, panel68, panel69, panel70, panel71, panel72; // </generated-code>


}
